# Sekcje _W praktyce_
W tych sekcjach zastosowaliśmy podejście oparte na danych do zrozumienia kwestii takich jak przyczyny zgonów, inwestycje w edukację lub zróżnicowanie w oczekiwanej długości życia na świecie. Przy okazji pokazujemy, jak za pomocą umiejętności programistycznych zadawać dotyczące ważnych zagadnień praktyczne pytania z dziedziny nauki o danych. Oto przykładowe programy:

- [**Opóźnienia lotów**](/dplyr): W sekcji _W praktyce - `dplyr`_ użyliśmy pakietu `dplyr` do analizy zbioru danych `nycflights13` i zadaliśmy konkretne pytania związane z ponad 300 000 lotów startujących z lotnisk Nowego Jorku w 2013 r. 
- [**Eksploracja statystyk na temat szkolnictwa**](/tidyr): W sekcji _W praktyce - `tidyr`_ użyliśmy pakietu `tidyr` do eksploracji różnic w wydatkach na edukację i powiązanych skutkach w państwach z całego świata. Wykorzystaliśmy tu dane Banku Światowego. 
- [**Wyszukiwanie kubańskiego jedzenia w Seattle**](/apis): W sekcji _W praktyce - interfejsy API_ użyliśmy interfejsów API usług Yelp i Google Maps, aby opracować mapę najlepiej ocenianych kubańskich restauracji w Seattle (według serwisu Yelp).
- [**Mapa eksmisji w San Francisco**](/ggplot2): W sekcji _W praktyce - `ggplot2`_ użyliśmy pakietu `ggplot2` do zbadania liczby i rozkładu eksmisji w San Francisco.
- [**Wizualizowanie zezwoleń na budowę w Seattle**](/interacitve-vis): W sekcji _W praktyce - interaktywne wizualizacje_ użyliśmy różnych pakietów do generowania interaktywnych wizualizacji, aby przyjrzeć się zezwoleniom na nowe budynki w Seattle od 2010 r. 
- [**Raport na temat oczekiwanej długości życia**](/r-makrdown): W sekcji _W praktyce - R Markdown_ pokazaliśmy, jak użyć platformy R Markdown do wygenerowania witryny z raportem na temat oczekiwanej długości życia. Wykorzystano tu dane Banku Światowego.
- [**Wizualizowanie śmiertelnych postrzeleń przez policję**](/shiny): W sekcji _W praktyce - Shiny_ pokazaliśmy, jak zbudować interaktywną aplikację internetową do analizowania liczby śmiertelnych postrzeleń przez policję w Stanach Zjednoczonych (użyliśmy tu pakietu `shiny`).